package net.morilib.sh.builtin;

import net.morilib.sh.ShCommandExecuteTest;

public class ShCommandTest extends ShCommandExecuteTest {

	public void test001() {
		exe(    "function echo\n" +
				"{\n" +
				"  echo bbb\n" +
				"}", 0);
		exe("command echo aaa", 0);
		eot("aaa");
	}

	public void test002() {
		exe(    "function echo\n" +
				"{\n" +
				"  builtin echo bbb\n" +
				"}", 0);
		exe("echo aaa", 0);
		eot("bbb");
	}

}
